Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1066704

Summary: segfault in libmozjs causes gnome-shell to restart
Product: [Fedora] Fedora Reporter: Hin-Tak Leung <htl10>
Component: mozjs17Assignee: Colin Walters <walters>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: perry.werneck, redhat-bugzilla, walters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 15:17:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Hin-Tak Leung 2014-02-18 23:01:46 UTC
Description of problem:

Every so often gnome-shell restarts (and sometimes fails to...) with these in dmesg:

[31712.669391] traps: polkitd[674] general protection ip:7fbfbf197022 sp:7fffdd99a770 error:0 in libmozjs-17.0.so[7fbfbf058000+3b3000]
[44405.866753] gnome-shell[1865]: segfault at 0 ip 000000314ef31431 sp 00007fffbcb8f4a0 error 4 in libmozjs-17.0.so[314ee00000+3b3000]


Version-Release number of selected component (if applicable):
# rpm -q mozjs17
mozjs17-17.0.0-8.fc20.i686
mozjs17-17.0.0-8.fc20.x86_64

How reproducible:
A few times per day - up to 40 times per week:

# grep  'libmozjs-17.0.so' /var/log/messages | wc -l
7
# grep  'libmozjs-17.0.so' /var/log/messages-20140209 | wc -l
33
# grep  'libmozjs-17.0.so' /var/log/messages-20140203 | wc -l
40
# grep  'libmozjs-17.0.so' /var/log/messages-20140126 | wc -l
26
# grep  'libmozjs-17.0.so' /var/log/messages-20140217 | wc -l
41


Steps to Reproduce:
1. normal desktop usage.
2.
3.

Actual results:
gnome-shell restarting itself every so often (sometimes fails to).

Expected results:
No segfaults.

Additional info:
Any way of getting abrt to report this? It doesn't seem to get trapped.

Comment 1 Fedora End Of Life 2015-05-29 10:58:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 15:17:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.